be.fgov.ehealth.etee.commons._1_0.etee

## Class EteeResponseType

- java.lang.Object
- - be.fgov.ehealth.etee.commons._1_0.etee.EteeResponseType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    GetKeyResponse, GetNewKeyResponse

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:52:20+01:00",
                 comments="JAXB RI v2.3.7")
      public class EteeResponseType
      extends Object
      implements Serializable

  Java class for EteeResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="EteeResponseType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Status">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="Code" type="{http://www.w3.org/2001/XMLSchema}string"/>
                         <element name="Message" type="{http://www.w3.org/2001/XMLSchema}string"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="Error" type="{urn:be:fgov:ehealth:etee:commons:1_0:etee}ErrorType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EteeResponseType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ErrorType>` | `getErrors()` Gets the value of the errors property.
    `String` | `getId()` Gets the value of the id property.
    `Status` | `getStatus()` Gets the value of the status property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setStatus(Status value)` Sets the value of the status property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EteeResponseType

          public EteeResponseType()

  - ### Method Detail

    - #### getStatus

          public Status getStatus()

      Gets the value of the status property.
      Returns:
        possible object is `Status`

    - #### setStatus

          public void setStatus(Status value)

      Sets the value of the status property.
      Parameters:
        `value` - allowed object is `Status`

    - #### getErrors

          public List<ErrorType> getErrors()

      Gets the value of the errors property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the errors property.

      For example, to add a new item, do as follows:

              getErrors().add(newItem);

      Objects of the following type(s) are allowed in the list `ErrorType`

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.